Bug 236892 - CVE-2007-0243 GIF buffer overflow
CVE-2007-0243 GIF buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: java-1.4.2-ibm (Show other bugs)
5.0
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Thomas Fitzsimmons
reported=20070417,source=internet,imp...
: Security
Depends On:
Blocks: 237283 237284
  Show dependency treegraph
 
Reported: 2007-04-18 06:09 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2007-0166
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 06:04:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-04-18 06:09:35 EDT
In January 2007 a flaw was found affecting the SUN JRE; "Buffer overflow in Sun
JDK and Java Runtime Environment (JRE) 5.0 Update 9 and earlier, SDK and JRE
1.4.2_12 and earlier, and SDK and JRE 1.3.1_18 and earlier allows applets to
gain privileges via a GIF image with a block with a 0 width field, which
triggers memory corruption."

On 17th April 2007 IBM updated their alerts page to note that this issue
affected the IBM JRE and was fixed in 1.4.2 SR8

Also affects RHEL4Extras, RHEL3Extras
Comment 5 Mark J. Cox (Product Security) 2007-04-25 04:09:50 EDT
We're going to label this with impact=critical rather than important and we were
not able to prove this issue could not allow a malicious applet the ability to
run arbitrary code.  This issue was reported by IBM as affecting IBM Java on
20070417.
Comment 6 Red Hat Bugzilla 2007-04-25 06:04:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0166.html

Note You need to log in before you can comment on or make changes to this bug.